## pyobjcryst 2.2.1

=== SConstruct ===
# This SConstruct is for faster parallel builds.
# Use "setup.py" for normal installation.

MY_SCONS_HELP = """\
SCons rules for compiling and installing pyobjcryst.
SCons build is much faster when run with parallel jobs (-j4).
Usage: scons [target] [var=value]

Targets:

module      build Python extension module _pyobjcryst.so [default]
install     install to default Python package location
develop     copy extension module to src/pyobjcryst/ directory
test        execute unit tests

Build configuration variables:
%s
Variables can be also assigned in a user script sconsvars.py.
SCons construction environment can be customized in sconscript.local script.
"""

import os
import re
import subprocess
import platform

def subdictionary(d, keyset):
    return dict(kv for kv in d.items() if kv[0] in keyset)

def getsyspaths(*names):
    pall = sum((os.environ.get(n, '').split(os.pathsep) for n in names), [])
    rv = [p for p in pall if os.path.exists(p)]
    return rv

def pyoutput(cmd):
    proc = subprocess.Popen([env['python'], '-c', cmd],
                            stdout=subprocess.PIPE,
                            universal_newlines=True)
    out = proc.communicate()[0]
    return out.rstrip()

def pyconfigvar(name):
    cmd = ('from distutils.sysconfig import get_config_var\n'
           'print(get_config_var(%r))\n') % name
    return pyoutput(cmd)

# copy system environment variables related to compilation
DefaultEnvironment(ENV=subdictionary(os.environ, '''
    PATH PYTHONPATH GIT_DIR
    CPATH CPLUS_INCLUDE_PATH LIBRARY_PATH LD_RUN_PATH
    LD_LIBRARY_PATH DYLD_LIBRARY_PATH DYLD_FALLBACK_LIBRARY_PATH
    MACOSX_DEPLOYMENT_TARGET LANG
    _PYTHON_SYSCONFIGDATA_NAME
    _CONDA_PYTHON_SYSCONFIGDATA_NAME
    '''.split())
)

# Create construction environment
env = DefaultEnvironment().Clone()

# Variables definitions below work only with 0.98 or later.
env.EnsureSConsVersion(0, 98)

# Customizable compile variables
vars = Variables('sconsvars.py')

vars.Add(PathVariable('prefix',
    'installation prefix directory', None))
vars.Add(EnumVariable('build',
    'compiler settings', 'fast',
    allowed_values=('debug', 'fast')))
vars.Add(EnumVariable('tool',
    'C++ compiler toolkit to be used', 'default',
    allowed_values=('default', 'intelc')))
vars.Add(BoolVariable('profile',
    'build with profiling information', False))
vars.Add('python',
    'Python executable to use for installation.', 'python')
vars.Update(env)
env.Help(MY_SCONS_HELP % vars.GenerateHelpText(env))

# Use Intel C++ compiler if requested by the user.
icpc = None
if env['tool'] == 'intelc':
    icpc = env.WhereIs('icpc')
    if not icpc:
        print("Cannot find the Intel C/C++ compiler 'icpc'.")
        Exit(1)
    env.Tool('intelc', topdir=icpc[:icpc.rfind('/bin')])

# Figure out compilation switches, filter away C-related items.
good_python_flag = lambda n : (
    not isinstance(n, str) or
    not re.match(r'(-g|-Wstrict-prototypes|-O\d|-fPIC)$', n))

# Determine python-config script name.
pyversion = pyoutput('import sys; print("%i.%i" % sys.version_info[:2])')
pycfgname = 'python%s-config' % (pyversion if pyversion[0] == '3' else '')
# realpath gets the real path if exec is a link (e.g. in a python environment)
xpython = os.path.realpath(env.WhereIs(env['python']))
pybindir = os.path.dirname(xpython)
pythonconfig = os.path.join(pybindir, pycfgname)

# Verify python-config comes from the same path as the target python.
xpythonconfig = env.WhereIs(pythonconfig)
if os.path.dirname(xpython) != os.path.dirname(xpythonconfig):
    print("Inconsistent paths of %r and %r" % (xpython, xpythonconfig))
    Exit(1)
# Process the python-config flags here.
env.ParseConfig(pythonconfig + " --cflags")
env.Replace(CCFLAGS=[f for f in env['CCFLAGS'] if good_python_flag(f)])
env.Replace(CPPDEFINES='BOOST_ERROR_CODE_HEADER_ONLY')
# the CPPPATH directories are checked by scons dependency scanner
cpppath = getsyspaths('CPLUS_INCLUDE_PATH', 'CPATH')
env.AppendUnique(CPPPATH=cpppath)
# Insert LIBRARY_PATH explicitly because some compilers
# ignore it in the system environment.
env.PrependUnique(LIBPATH=getsyspaths('LIBRARY_PATH'))
# Add shared libraries.
# Note: ObjCryst and boost_python are added from SConscript.configure.

fast_linkflags = ['-s']
fast_shlinkflags = pyconfigvar('LDSHARED').split()[1:]

# Specify minimum C++ standard.  Allow later standard from sconscript.local.
# In case of multiple `-std` options the last option holds.
env.PrependUnique(CXXFLAGS='-std=c++11', delete_existing=1)

# Need this to avoid missing symbol with boost<1.66
env.PrependUnique(CXXFLAGS=['-DBOOST_ERROR_CODE_HEADER_ONLY'])

# Platform specific intricacies.
if env['PLATFORM'] == 'darwin':
    darwin_shlinkflags = [n for n in env['SHLINKFLAGS']
            if n != '-dynamiclib']
    env.Replace(SHLINKFLAGS=darwin_shlinkflags)
    env.AppendUnique(SHLINKFLAGS=['-bundle'])
    env.AppendUnique(SHLINKFLAGS=['-undefined', 'dynamic_lookup'])
    fast_linkflags[:] = []

# Compiler specific options
if icpc:
    # options for Intel C++ compiler on hpc dev-intel07
    env.AppendUnique(CCFLAGS=['-w1', '-fp-model', 'precise'])
    env.PrependUnique(LIBS=['imf'])
    fast_optimflags = ['-fast', '-no-ipo']
else:
    # g++ options
    env.AppendUnique(CCFLAGS=['-Wall'])
    fast_optimflags = ['-ffast-math']

# Configure build variants
if env['build'] == 'debug':
    env.AppendUnique(CCFLAGS='-g')
elif env['build'] == 'fast':
    env.AppendUnique(CCFLAGS=['-O3'] + fast_optimflags)
    env.AppendUnique(CPPDEFINES='NDEBUG')
    env.AppendUnique(LINKFLAGS=fast_linkflags)
    env.AppendUnique(SHLINKFLAGS=fast_shlinkflags)

if env['profile']:
    env.AppendUnique(CCFLAGS='-pg')
    env.AppendUnique(LINKFLAGS='-pg')

builddir = env.Dir('build/%s-%s' % (env['build'], platform.machine()))

Export('env', 'pyconfigvar', 'pyoutput', 'pyversion')

if os.path.isfile('sconscript.local'):
    env.SConscript('sconscript.local')

env.SConscript('src/extensions/SConscript', variant_dir=builddir)

# vim: ft=python

=== debian/changelog ===
pyobjcryst (2.2.1-1build1) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:17:42 +0000

pyobjcryst (2.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1003950: ITP: pyobjcryst -- Object-
    Oriented Crystallographic Library Python3 bindings)

 -- Neil Williams <codehelp@debian.org>  Wed, 02 Mar 2022 08:12:38 +0000

=== debian/control ===
Source: pyobjcryst
Section: science
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Neil Williams <codehelp@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-pkg-resources,
 python3-all,
 python3-numpy,
 scons,
 python3-all-dev,
 libboost-all-dev,
 libobjcryst-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/diffpy/pyobjcryst
Vcs-Browser: https://salsa.debian.org/science-team/pyobjcryst
Vcs-Git: https://salsa.debian.org/science-team/pyobjcryst.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pyobjcryst
Architecture: amd64
Depends: python3-pkg-resources, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3-ipywidgets
Description: Object-Oriented Crystallographic Library bindings (Python 3)
 Python bindings to ObjCryst++, the Object-Oriented Crystallographic Library.
 .
 Some examples offer 3D support which can use python3-ipywidgets.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pyobjcryst
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	mkdir debian/$(PYBUILD_NAME) || true
	dh_auto_build
	scons python=/usr/bin/python3 build=debug develop prefix=debian/$(PYBUILD_NAME)

override_dh_auto_install:
	scons python=/usr/bin/python3 prefix=debian/$(PYBUILD_NAME) install
	dh_numpy3

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_clean
	$(RM) -r src/pyobjcryst/version.cfg src/pyobjcryst.egg-info/ .pybuild build/
	$(RM) -r .sconf_temp/ .sconsign.dblite config.log src/pyobjcryst/_pyobjcryst.so
	find . -name "*.pyc" -delete
	$(RM) -r dist src/pyobjcryst/_pyobjcryst.* .pytest_cache/ debian/$(PYBUILD_NAME)

## pyobjcryst 2.2.5

=== SConstruct ===
# This SConstruct is for faster parallel builds.
# Use "setup.py" for normal installation.

MY_SCONS_HELP = """\
SCons rules for compiling and installing pyobjcryst.
SCons build is much faster when run with parallel jobs (-j4).
Usage: scons [target] [var=value]

Targets:

module      build Python extension module _pyobjcryst.so [default]
install     install to default Python package location
develop     copy extension module to src/pyobjcryst/ directory
test        execute unit tests

Build configuration variables:
%s
Variables can be also assigned in a user script sconsvars.py.
SCons construction environment can be customized in sconscript.local script.
"""

import os
from os.path import join as pjoin
import re
import subprocess
import platform


def subdictionary(d, keyset):
    return dict(kv for kv in d.items() if kv[0] in keyset)


def getsyspaths(*names):
    pall = sum((os.environ.get(n, '').split(os.pathsep) for n in names), [])
    rv = [p for p in pall if os.path.exists(p)]
    return rv


def pyoutput(cmd):
    proc = subprocess.Popen([env['python'], '-c', cmd],
                            stdout=subprocess.PIPE,
                            universal_newlines=True)
    out = proc.communicate()[0]
    return out.rstrip()


def pyconfigvar(name):
    cmd = ('from distutils.sysconfig import get_config_var\n'
           'print(get_config_var(%r))\n') % name
    return pyoutput(cmd)


# copy system environment variables related to compilation
DefaultEnvironment(ENV=subdictionary(os.environ, '''
    PATH PYTHONPATH GIT_DIR
    CPATH CPLUS_INCLUDE_PATH LIBRARY_PATH LD_RUN_PATH
    LD_LIBRARY_PATH DYLD_LIBRARY_PATH DYLD_FALLBACK_LIBRARY_PATH
    MACOSX_DEPLOYMENT_TARGET LANG
    _PYTHON_SYSCONFIGDATA_NAME
    _CONDA_PYTHON_SYSCONFIGDATA_NAME
    '''.split())
                   )

# Create construction environment
env = DefaultEnvironment().Clone()

# Variables definitions below work only with 0.98 or later.
env.EnsureSConsVersion(0, 98)

# Customizable compile variables
vars = Variables('sconsvars.py')

# Set PREFIX for installation and linking
# TODO: also amend paths when VIRTUAL_ENV variable exists ?
if 'PREFIX' in os.environ:
    # building with a set prefix
    vars.Add(PathVariable(
        'prefix',
        'installation prefix directory',
        os.environ['PREFIX']))
elif 'CONDA_PREFIX' in os.environ:
    # building for a conda environment
    vars.Add(PathVariable(
        'prefix',
        'installation prefix directory',
        os.environ['CONDA_PREFIX']))
else:
    vars.Add(PathVariable('prefix',
                          'installation prefix directory', None))
vars.Update(env)

vars.Add(EnumVariable('build',
                      'compiler settings', 'fast',
                      allowed_values=('debug', 'fast')))
vars.Add(EnumVariable('tool',
                      'C++ compiler toolkit to be used', 'default',
                      allowed_values=('default', 'intelc', 'clang', 'clangxx')))
vars.Add(BoolVariable('profile',
                      'build with profiling information', False))
vars.Add('python',
         'Python executable to use for installation.', 'python')
vars.Update(env)
env.Help(MY_SCONS_HELP % vars.GenerateHelpText(env))

# Use Intel C++ compiler if requested by the user.
icpc = None
if env['tool'] == 'intelc':
    icpc = env.WhereIs('icpc')
    if not icpc:
        print("Cannot find the Intel C/C++ compiler 'icpc'.")
        Exit(1)
    env.Tool('intelc', topdir=icpc[:icpc.rfind('/bin')])

# Figure out compilation switches, filter away C-related items.
good_python_flag = lambda n: (
        not isinstance(n, str) or
        not re.match(r'(-g|-Wstrict-prototypes|-O\d|-fPIC)$', n))

# Determine python-config script name.
if 'PY_VER' in os.environ:
    pyversion = os.environ['PY_VER']
else:
    pyversion = pyoutput('import sys; print("%i.%i" % sys.version_info[:2])')

if 'CONDA_BUILD' in os.environ and 'PY_VER' in os.environ:
    # Messy: if CONDA_BUILD and PY_VER are in the path, we are building a conda package
    # using several environment. Make sure python3.X-config points to the destination
    # (host) environment
    pythonconfig = pjoin(os.environ['PREFIX'], 'bin', 'python%s-config' % os.environ['PY_VER'])
    print("Using $PREFIX and $PY_VER to determine python-config pth: %s" % pythonconfig)
    xpython = pjoin(os.environ['PREFIX'], 'bin', 'python')
    pyversion = os.environ['PY_VER']
else:
    pycfgname = 'python%s-config' % (pyversion if pyversion[0] == '3' else '')
    # realpath gets the real path if exec is a link (e.g. in a python environment)
    xpython = os.path.realpath(env.WhereIs(env['python']))
    pybindir = os.path.dirname(xpython)
    pythonconfig = pjoin(pybindir, pycfgname)

# for k in sorted(os.environ.keys()):
#     print("   ", k, os.environ[k])

if platform.system().lower() == "windows":
    # See https://scons.org/faq.html#Linking_on_Windows_gives_me_an_error
    env['ENV']['TMP'] = os.environ['TMP']
    # the CPPPATH directories are checked by scons dependency scanner
    cpppath = getsyspaths('CPLUS_INCLUDE_PATH', 'CPATH')
    env.AppendUnique(CPPPATH=cpppath)
    # Insert LIBRARY_PATH explicitly because some compilers
    # ignore it in the system environment.
    env.PrependUnique(LIBPATH=getsyspaths('LIBRARY_PATH'))
    if env['prefix'] is not None:
        env.Append(CPPPATH=[pjoin(env['prefix'], 'include')])
        env.Append(CPPPATH=[pjoin(env['prefix'], 'Library', 'include')])
        # Windows conda library paths are a MESS ('lib', 'libs', 'Library\lib'...)
        env.Append(LIBPATH=[pjoin(env['prefix'], 'Library', 'lib')])
        env.Append(LIBPATH=[pjoin(env['prefix'], 'libs')])
    # This disable automated versioned named e.g. libboost_date_time-vc142-mt-s-x64-1_73.lib
    # so we can use conda-installed libraries
    env.AppendUnique(CPPDEFINES='BOOST_ALL_NO_LIB')
    # Prevent the generation of an import lib (.lib) in addition to the dll
    # env.AppendUnique(no_import_lib=1)
    env.PrependUnique(CCFLAGS=['/Ox', '/EHsc', '/MD'])
    env.AppendUnique(CPPDEFINES={'NDEBUG': None})
else:
    if 'CONDA_BUILD' not in os.environ:
        # Verify python-config comes from the same path as the target python.
        xpythonconfig = env.WhereIs(pythonconfig)
        if os.path.dirname(xpython) != os.path.dirname(xpythonconfig):
            print("Inconsistent paths of %r and %r" % (xpython, xpythonconfig))
            Exit(1)
    # Process the python-config flags here.
    env.ParseConfig(pythonconfig + " --cflags")
    env.Replace(CCFLAGS=[f for f in env['CCFLAGS'] if good_python_flag(f)])
    env.Replace(CPPDEFINES='BOOST_ERROR_CODE_HEADER_ONLY')
    # the CPPPATH directories are checked by scons dependency scanner
    cpppath = getsyspaths('CPLUS_INCLUDE_PATH', 'CPATH')
    env.AppendUnique(CPPPATH=cpppath)
    # Insert LIBRARY_PATH explicitly because some compilers
    # ignore it in the system environment.
    env.PrependUnique(LIBPATH=getsyspaths('LIBRARY_PATH'))
    # Add shared libraries.
    # Note: ObjCryst and boost_python are added from SConscript.configure.

    fast_linkflags = ['-s']
    fast_shlinkflags = pyconfigvar('LDSHARED').split()[1:]

    # Specify minimum C++ standard.  Allow later standard from sconscript.local.
    # In case of multiple `-std` options the last option holds.
    env.PrependUnique(CXXFLAGS='-std=c++11', delete_existing=1)

    # Need this to avoid missing symbol with boost<1.66
    env.PrependUnique(CXXFLAGS=['-DBOOST_ERROR_CODE_HEADER_ONLY'])

    # Platform specific intricacies.
    if env['PLATFORM'] == 'darwin':
        darwin_shlinkflags = [n for n in env['SHLINKFLAGS'] if n != '-dynamiclib']
        env.Replace(SHLINKFLAGS=darwin_shlinkflags)
        env.AppendUnique(SHLINKFLAGS=['-bundle'])
        env.AppendUnique(SHLINKFLAGS=['-undefined', 'dynamic_lookup'])
        fast_linkflags[:] = []

    # Compiler specific options
    if icpc:
        # options for Intel C++ compiler on hpc dev-intel07
        env.AppendUnique(CCFLAGS=['-w1', '-fp-model', 'precise'])
        env.PrependUnique(LIBS=['imf'])
        fast_optimflags = ['-fast', '-no-ipo']
    else:
        # g++ options
        env.AppendUnique(CCFLAGS=['-Wall', '-fno-strict-aliasing'])
        fast_optimflags = ['-ffast-math']

    # Configure build variants
    if env['build'] == 'debug':
        env.AppendUnique(CCFLAGS='-g')
    elif env['build'] == 'fast':
        env.AppendUnique(CCFLAGS=['-O3'] + fast_optimflags)
        env.AppendUnique(CPPDEFINES='NDEBUG')
        env.AppendUnique(LINKFLAGS=fast_linkflags)
        env.AppendUnique(SHLINKFLAGS=fast_shlinkflags)

    if env['profile']:
        env.AppendUnique(CCFLAGS='-pg')
        env.AppendUnique(LINKFLAGS='-pg')

    env.Append(CPPPATH=[pjoin(env['prefix'], 'include')])
    env.Append(LIBPATH=[pjoin(env['prefix'], 'lib')])

builddir = env.Dir('build/%s-%s' % (env['build'], platform.machine()))

Export('env', 'pyconfigvar', 'pyoutput', 'pyversion')

if os.path.isfile('sconscript.local'):
    env.SConscript('sconscript.local')

env.SConscript('src/extensions/SConscript', variant_dir=builddir)

# vim: ft=python

=== debian/changelog ===
pyobjcryst (2.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump libobjcryst Build-Dep, it requires new APIs.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Jan 2023 11:50:11 -0400

pyobjcryst (2.2.1-3) unstable; urgency=medium

  * Team upload.
  * Build for all supported Python 3 versions. (Closes: #1027012)
  * Run autopkgtest for all supported Python 3 versions.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 06 Jan 2023 23:10:38 -0400

pyobjcryst (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Patch: Pass --install-layout=deb to setup.py when scons calls it.
    (Closes: #1022382)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 15:38:27 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
- Neil Williams <codehelp@debian.org>,
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,7 +15,7 @@
  scons,
  python3-all-dev,
  libboost-all-dev,
- libobjcryst-dev,
+ libobjcryst-dev (>= 2022.1.4),
 Standards-Version: 4.6.0
 Homepage: https://github.com/diffpy/pyobjcryst
 Vcs-Browser: https://salsa.debian.org/science-team/pyobjcryst

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pyobjcryst
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export PYBUILD_SYSTEM=custom
export PYBUILD_BEFORE_BUILD=mkdir -p debian/$(PYBUILD_NAME)
export PYBUILD_BUILD_ARGS=scons python=/usr/bin/{interpreter} build=debug develop prefix=debian/$(PYBUILD_NAME)
export PYBUILD_INSTALL_ARGS=scons python=/usr/bin/{interpreter} prefix=debian/$(PYBUILD_NAME) install

%:
	dh $@ --with numpy3,python3 --buildsystem=pybuild

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_clean
	$(RM) -r src/pyobjcryst/version.cfg src/pyobjcryst.egg-info/ .pybuild build/
	$(RM) -r .sconf_temp/ .sconsign.dblite config.log src/pyobjcryst/_pyobjcryst.so
	find . -name "*.pyc" -delete
	$(RM) -r dist src/pyobjcryst/_pyobjcryst.* .pytest_cache/ debian/$(PYBUILD_NAME)

## pyobjcryst 2024.2.1

=== SConstruct ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 # copy system environment variables related to compilation
 DefaultEnvironment(ENV=subdictionary(os.environ, '''
-    PATH PYTHONPATH GIT_DIR
+    PATH PYTHONPATH GIT_DIR HOMEPATH HOMEDRIVE
     CPATH CPLUS_INCLUDE_PATH LIBRARY_PATH LD_RUN_PATH
     LD_LIBRARY_PATH DYLD_LIBRARY_PATH DYLD_FALLBACK_LIBRARY_PATH
     MACOSX_DEPLOYMENT_TARGET LANG
@@ -160,7 +160,7 @@
     env.AppendUnique(CPPDEFINES='BOOST_ALL_NO_LIB')
     # Prevent the generation of an import lib (.lib) in addition to the dll
     # env.AppendUnique(no_import_lib=1)
-    env.PrependUnique(CCFLAGS=['/Ox', '/EHsc', '/MD'])
+    env.PrependUnique(CCFLAGS=['/Ox', '/EHsc', '/MD', '/DREAL=double'])
     env.AppendUnique(CPPDEFINES={'NDEBUG': None})
 else:
     if 'CONDA_BUILD' not in os.environ:
@@ -192,6 +192,9 @@
     # Need this to avoid missing symbol with boost<1.66
     env.PrependUnique(CXXFLAGS=['-DBOOST_ERROR_CODE_HEADER_ONLY'])
 
+    # Use double precision for objcryst's REAL
+    env.PrependUnique(CCFLAGS=['-DREAL=double'])
+
     # Platform specific intricacies.
     if env['PLATFORM'] == 'darwin':
         darwin_shlinkflags = [n for n in env['SHLINKFLAGS'] if n != '-dynamiclib']

=== debian/changelog ===
pyobjcryst (2024.2.1-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on python3-pkg-resources, it's pulled by python3-setuptools
    (Closes: #1083578)
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.2

  [ Michael R. Crusoe ]
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc
    to respect Debian Policy 4.9.1.

  [ Sébastien Delafond ]
  * Remove Freexian Packaging Team from uploaders

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 10:49:53 +0200

pyobjcryst (2024.2.1-1) unstable; urgency=medium

  Update standards version to 4.6.2, no changes needed.
  * New upstream version 2024.2.1
  * Bug fix: "FTBFS: ModuleNotFoundError: No module named
    &#39;numpy.distutils&#39;", thanks to Santiago Vila (Closes:
    #1081092).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 25 Nov 2024 15:03:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,18 @@
 Priority: optional
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
- Freexian Packaging Team <team+freexian@tracker.debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-setuptools,
- python3-pkg-resources,
  python3-all,
  python3-numpy,
  scons,
  python3-all-dev,
  libboost-all-dev,
  libobjcryst-dev (>= 2022.1.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/diffpy/pyobjcryst
 Vcs-Browser: https://salsa.debian.org/science-team/pyobjcryst
 Vcs-Git: https://salsa.debian.org/science-team/pyobjcryst.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

include /usr/share/dpkg/buildopts.mk

export PYBUILD_NAME=pyobjcryst
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export PYBUILD_SYSTEM=custom
export PYBUILD_BEFORE_BUILD=mkdir -p debian/$(PYBUILD_NAME)
export PYBUILD_BUILD_ARGS=scons $(DEB_BUILD_OPTION_PARALLEL:%=-j %) python=/usr/bin/{interpreter} build=debug prefix=debian/$(PYBUILD_NAME) develop
export PYBUILD_INSTALL_ARGS=scons python=/usr/bin/{interpreter} build=debug prefix=debian/$(PYBUILD_NAME) install
export PYBUILD_TEST_ARGS=PYTHONPATH=src scons python=/usr/bin/{interpreter} build=debug prefix=debian/$(PYBUILD_NAME) test

%:
	dh $@ --with numpy3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	$(RM) -r src/pyobjcryst/version.cfg src/pyobjcryst.egg-info/ .pybuild build/
	$(RM) -r .sconf_temp/ .sconsign.dblite config.log src/pyobjcryst/_pyobjcryst.so
	find . -name "*.pyc" -delete
	$(RM) -r dist src/pyobjcryst/_pyobjcryst.* .pytest_cache/ debian/$(PYBUILD_NAME)

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pyobjcryst-$1.tar.gz%" \
   https://github.com/diffpy/pyobjcryst/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
